# ACE_Asynch_Read_File_Result_Impl Class Reference

This is the abstract base class for all the concrete implementation classes for ACE_Asynch_Read_File::Result. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Read_File_Result_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Read_File_Result_Impl:

[legend]
List of all members.

## Public Member Functions

virtual | ~ACE_Asynch_Read_File_Result_Impl (void)
| Destructor.

## Protected Member Functions

| ACE_Asynch_Read_File_Result_Impl (void)
| Do-nothing constructor.

## Detailed Description

This is the abstract base class for all the concrete implementation classes for ACE_Asynch_Read_File::Result.

## Constructor & Destructor Documentation

ACE_Asynch_Read_File_Result_Impl::~ACE_Asynch_Read_File_Result_Impl | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_INLINE ACE_Asynch_Read_File_Result_Impl::ACE_Asynch_Read_File_Result_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.inl